## org.codehaus.groovy.runtime.callsite
Class CallSiteArray

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.CallSiteArray

    public final class CallSiteArray

extends Object

Field Summary
`CallSite[]` `array`
`static Object[]` `NOPARAM`
`Class` `owner`

Constructor Summary
`CallSiteArray(Class owner, String[] names)`

Method Summary
`static Object` `defaultCall(CallSite callSite, Object receiver, Object[] args)`
`static Object` `defaultCallConstructor(CallSite callSite, Object receiver, Object[] args)`
`static Object` `defaultCallCurrent(CallSite callSite, GroovyObject receiver, Object[] args)`
`static Object` `defaultCallStatic(CallSite callSite, Class receiver, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### array

    public final CallSite[] array

### NOPARAM

    public static final Object[] NOPARAM

### owner

    public final Class owner

Constructor Detail

### CallSiteArray

    public CallSiteArray(Class owner,
                         String[] names)

Method Detail

### defaultCall

    public static Object defaultCall(CallSite callSite,
                                     Object receiver,
                                     Object[] args)
                              throws Throwable

  Throws:
    `Throwable`

### defaultCallCurrent

    public static Object defaultCallCurrent(CallSite callSite,
                                            GroovyObject receiver,
                                            Object[] args)
                                     throws Throwable

  Throws:
    `Throwable`

### defaultCallStatic

    public static Object defaultCallStatic(CallSite callSite,
                                           Class receiver,
                                           Object[] args)
                                    throws Throwable

  Throws:
    `Throwable`

### defaultCallConstructor

    public static Object defaultCallConstructor(CallSite callSite,
                                                Object receiver,
                                                Object[] args)
                                         throws Throwable

  Throws:
    `Throwable`

Copyright © 2003-2009 The Codehaus. All rights reserved.